Freightcom Customer API (2.11.0)

API for use by Freightcom customers. This API uses polling for some long running requests. In those cases the initial request will return a 202 Accepted status.

What's New In Version 2.11.0

Version 2.11.0, released in October 2026, mandate optional changes from Version 2.9.0 related to EU De Minimis and EU GPSR (General Product Safety Regulation) compliance.

The EU has removed the €150 De Minimis threshold for customs duties. All goods imported into the EU, regardless of value, now require complete product traceability and manufacturer/importer information for customs clearance.

List Of All Fields Added Or Modified In 2.11.0

  • POST /shipment
    • Request Body
      • customs_invoice
        • details
          • products
            • product_identifier_exemption new field

What's New In Version 2.10.0

Version 2.10.0, released in July 2026, that introduces changes related to CPSC (Consumer Product Safety Commission) regulations.

  • Regulations Validation

    • Adds a new API endpoint that returns if a product is cpsc regulated or not by analyzing the customer input product information.
    • Only useful in 2 cases:
      • Your customs' product is not registered on CPSC Registry and want to ship it without registering.
      • You want to register first and then book the shipment (recommended if you will be shipping the same product again).
    • Only applicable to US destined shipments.
  • Intended Use Details

    • Adds a new API endpoint that returns a map of regulation to a map of valid intended use code and their description.
  • Citation Codes Details

    • Adds a new API endpoint that returns a map of certificate to a map of description and the citation code to use based on the description.
  • How to provide the required CPSC details (if the product comes under CPSC) for shipments going to United States (US) for full customs clearance

    • Provide cpsc_regulated in customs_data and customs_invoice objects.
      • Valid values are true and false.
    • If cpsc_regulated is false then we can omit all the fields mentioned below.
    • Provide product_id and product_id_type (mandatory if cpsc_regulated is true).
    • Provide the fields only under cpsc_registered_product_information if the product is regulated and registered on the CPSC Registry.
    • Provide the fields only under cpsc_non_registered_product_information if the product is regulated not registered on the CPSC Registry.
    • Provide the fields only under cpsc_certificate_not_required_information if the product is exempted under CPSC.

List Of All Fields Added Or Modified In 2.10.0

The following is only a list of all fields added or modified in version 2.10.0. Please read the fields' descriptions in the endpoints' documentation for more information.

  • POST /shipment/regulations-validate - new endpoint
  • GET /shipment/intended-use-details - new endpoint
  • GET /shipment/citation-code-details - new endpoint
  • POST /rate
    • Request Body
      • details
        • customs_data
          • products
            • product_id new field
            • product_id_type new field
            • cpsc_regulated new field
            • cpsc_registered_product_information new field
              • certifier_id
              • product_id
              • version_id
            • cpsc_non_registered_product_information new field
              • product_certificate_declaration
              • certificate_type
              • product_details
                • sku_code
                • model_number
                • serial_number
                • alternate_id
                • gtin_code
                • upc_code
                • model_description
                • model_color
                • model_style
              • manufacturer_details
                • specialized_in_small_batch_production
                • small_batch_manufacturer_registry_id
                • contact_name
                • company_name
                • email_address
                • ext
                • address_line1
                • city
                • province_or_state
                • postal_code
                • phone_number
                • country
                • manufacturer_date
                  • year
                  • month
                  • day
              • lot_details
                • lot_number
                • lot_number_qualifier
                • production_start_date
                  • year
                  • month
                  • day
                • production_end_date
                  • year
                  • month
                  • day
              • citation_details
                • previously_tested
                • lab_id
                • lab_type
                • citation_code
                • lab_test_date
                  • year
                  • month
                  • day
                • test_report_id
                • test_report_url
                • test_report_access_key
                • contact_name
                • company_name
                • email_address
                • phone_number
                • ext
                • address_line1
                • city
                • province_or_state
                • postal_code
                • country
              • point_of_contact
                • contact_name
                • company_name
                • email_address
                • phone_number
                • ext
                • address_line1
                • city
                • province_or_state
                • postal_code
                • country
            • cpsc_certificate_not_required_information new field
              • disclaimer_code
              • intended_use_code
              • intended_use_description
  • POST /shipment
    • Request Body
      • details
        • customs_data
          • products
            • product_id new field
            • product_id_type new field
            • cpsc_regulated new field
            • cpsc_registered_product_information new field
              • certifier_id
              • product_id
              • version_id
            • cpsc_non_registered_product_information new field
              • product_certificate_declaration
              • certificate_type
              • product_details
                • sku_code
                • model_number
                • serial_number
                • alternate_id
                • gtin_code
                • upc_code
                • model_description
                • model_color
                • model_style
              • manufacturer_details
                • specialized_in_small_batch_production
                • small_batch_manufacturer_registry_id
                • contact_name
                • company_name
                • email_address
                • ext
                • address_line1
                • city
                • province_or_state
                • postal_code
                • phone_number
                • country
                • manufacturer_date
                  • year
                  • month
                  • day
              • lot_details
                • lot_number
                • lot_number_qualifier
                • production_start_date
                  • year
                  • month
                  • day
                • production_end_date
                  • year
                  • month
                  • day
              • citation_details
                • previously_tested
                • lab_id
                • lab_type
                • citation_code
                • lab_test_date
                  • year
                  • month
                  • day
                • test_report_id
                • test_report_url
                • test_report_access_key
                • contact_name
                • company_name
                • email_address
                • phone_number
                • ext
                • address_line1
                • city
                • province_or_state
                • postal_code
                • country
              • point_of_contact
                • contact_name
                • company_name
                • email_address
                • phone_number
                • ext
                • address_line1
                • city
                • province_or_state
                • postal_code
                • country
            • cpsc_certificate_not_required_information new field
              • disclaimer_code
              • intended_use_code
              • intended_use_description
      • customs_invoice
        • details
          • products
            • cpsc_regulated new field
            • cpsc_registered_product_information new field
              • certifier_id
              • product_id
              • version_id
            • cpsc_non_registered_product_information new field
              • product_certificate_declaration
              • certificate_type
              • product_details
                • sku_code
                • model_number
                • serial_number
                • alternate_id
                • gtin_code
                • upc_code
                • model_description
                • model_color
                • model_style
              • manufacturer_details
                • specialized_in_small_batch_production
                • small_batch_manufacturer_registry_id
                • contact_name
                • company_name
                • email_address
                • ext
                • address_line1
                • city
                • province_or_state
                • postal_code
                • phone_number
                • country
                • manufacturer_date
                  • year
                  • month
                  • day
              • lot_details
                • lot_number
                • lot_number_qualifier
                • production_start_date
                  • year
                  • month
                  • day
                • production_end_date
                  • year
                  • month
                  • day
              • citation_details
                • previously_tested
                • lab_id
                • lab_type
                • citation_code
                • lab_test_date
                  • year
                  • month
                  • day
                • test_report_id
                • test_report_url
                • test_report_access_key
                • contact_name
                • company_name
                • email_address
                • phone_number
                • ext
                • address_line1
                • city
                • province_or_state
                • postal_code
                • country
              • point_of_contact
                • contact_name
                • company_name
                • email_address
                • phone_number
                • ext
                • address_line1
                • city
                • province_or_state
                • postal_code
                • country
            • cpsc_certificate_not_required_information new field
              • disclaimer_code
              • intended_use_code
              • intended_use_description
  • GET /shipment/{shipment_id}
    • 200 Response
      • shipment
        • details
          • customs_data
            • products
              • product_id new field
              • product_id_type new field
              • cpsc_regulated new field
              • cpsc_registered_product_information new field
                • certifier_id
                • product_id
                • version_id
              • cpsc_non_registered_product_information new field
                • product_certificate_declaration
                • certificate_type
                • product_details
                  • sku_code
                  • model_number
                  • serial_number
                  • alternate_id
                  • gtin_code
                  • upc_code
                  • model_description
                  • model_color
                  • model_style
                • manufacturer_details
                  • specialized_in_small_batch_production
                  • small_batch_manufacturer_registry_id
                  • contact_name
                  • company_name
                  • email_address
                  • ext
                  • address_line1
                  • city
                  • province_or_state
                  • postal_code
                  • phone_number
                  • country
                  • manufacturer_date
                    • year
                    • month
                    • day
                • lot_details
                  • lot_number
                  • lot_number_qualifier
                  • production_start_date
                    • year
                    • month
                    • day
                  • production_end_date
                    • year
                    • month
                    • day
                • citation_details
                  • previously_tested
                  • lab_id
                  • lab_type
                  • citation_code
                  • lab_test_date
                    • year
                    • month
                    • day
                  • test_report_id
                  • test_report_url
                  • test_report_access_key
                  • contact_name
                  • company_name
                  • email_address
                  • phone_number
                  • ext
                  • address_line1
                  • city
                  • province_or_state
                  • postal_code
                  • country
                • point_of_contact
                  • contact_name
                  • company_name
                  • email_address
                  • phone_number
                  • ext
                  • address_line1
                  • city
                  • province_or_state
                  • postal_code
                  • country
              • cpsc_certificate_not_required_information new field
                • disclaimer_code
                • intended_use_code
                • intended_use_description

What's New In Version 2.9.0

Version 2.9.0, released in July 2026, that introduces changes related to EU-DE Minimis threshold removal.

  • How to provide the required details for shipments going to European Union (EU) for full customs clearance
    • Provide shipment_classification in details.
      • Valid values are B2B, B2C, C2B, C2C
    • Provide the following fields according to the shipped products.
      • product_id (mandatory)
      • product_id_type (mandatory)
      • merchant_product_identifier (optional)
      • non_standardised_manufacturer_product_identifier (optional)
      • standardised_manufacturer_product_identifier (optional)

List Of All Fields Added Or Modified In 2.9.0

The following is only a list of all fields added or modified in version 2.9.0. Please read the fields' descriptions in the endpoints' documentation for more information.

  • POST /shipment
    • Request Body
      • details
        • shipment_classification - new field
      • customs_invoice
        • details
          • products
            • product_id new field
            • product_id_type new field
            • merchant_product_identifier new field
            • non_standardised_manufacturer_product_identifier new field
            • standardised_manufacturer_product_identifier new field
  • GET /shipment/{shipment_id}
    • 200 Response
      • shipment
        • details
          • shipment_classification - new field

What's New In Version 2.8.0

Version 2.8.0, released in April 2026, that introduces HTS validation and enables the continued access to guaranteed Delivered Duty Paid(DDP) guaranteed rates for eligible shipments.

  • HTS Validation

    • Adds a new API endpoint that returns recommended HTS codes by analyzing the customer input product description.
    • Allows requesting DDP guaranteed rates if the selected HTS code aligns with one of the recommended codes returned by the validation API.
    • Only applicable to CA-US shipments.
  • How to use the new API to get guaranteed rates

    • Submit product details for validation.
      • Call the hts-validate API with complete product information based on the customer-provided product description.
      • From the response, save one of the most relevant recommended HTS codes and its corresponding description for each product.
      • This information is required for downstream processing when requesting rates and booking cross-border shipments.
    • Include validation details in rate request.
      • When calling the rate or shipment API, set hsverified to true in product details.
      • Provide the saved hscode (recommended HTS code) and description (recommended description) with the provided_hscode and provided_description as well.
      • If all required fields are correctly passed, the request will be eligible for DDP guaranteed rates. If any required data is missing or inconsistent, the API will return an error indicating the issue.

List Of All Fields Added Or Modified In 2.8.0

The following is only a list of all fields added or modified in version 2.8.0. Please read the fields' descriptions in the endpoints' documentation for more information.

  • POST /shipment/hts-validate - new endpoint
  • POST /rate
    • Request Body
      • details
        • customs_data
          • products
            • product_name - new field
            • hsverified - new field
            • provided_hscode - new field
            • provided_description - new field
  • POST /shipment
    • Request Body
      • details
        • customs_data
          • products
            • product_name - new field
            • hsverified - new field
            • provided_hscode - new field
            • provided_description - new field
      • customs_invoice
        • details
          • products
            • hsverified - new field
            • provided_hscode - new field
            • provided_description - new field
  • GET /shipment/{shipment_id}
    • 200 Response
      • shipment
        • details
          • customs_data
            • products
              • product_name - new field
              • hsverified - new field
              • provided_hscode - new field
              • provided_description - new field

What's New In Version 2.7.0

Version 2.7.0, released in March 2026, adds a new way to pay for shipments: Prepaid Shipping. When activated in the customer portal,

  • Prepaid Shipping
    • If you activate Prepaid Shipping in the customer portal, you can get your prepaid payment method id and use it to book shipments.
    • After you activate Prepaid Shipping, you can no longer use your credit card payment method to book shipments. You must book shipments with your prepaid payment method.
    • A new endpoint will allow you to get your current available balances for your prepaid accounts.
      • This endpoint can also be used by Net Terms customers to retrieve the available Net Terms balance.
    • A new endpoint will allow you to reload (add funds to) your prepaid balance via this API as well as on the customer portal.
    • Please log in to the customer portal to view your statements, to set up automatic reloads and email warnings, and to perform other actions with your prepaid accounts.

List Of All Fields Added Or Modified In 2.7.0

The following is only a list of all fields added or modified in version 2.7.0. Please read the fields' descriptions in the endpoints' documentation for more information.

  • POST /shipment
    • Request Body
      • payment_method_id - description and validation updated
      • customs_and_duties_payment_method_id - description and validation updated
  • GET /finance/payment-methods - description updated
  • GET /finance/payment-method/{payment_method_id}/available-balances - new endpoint
  • POST /finance/reload-prepaid-balance - new endpoint

What's New In Version 2.6.3

Version 2.6.3, released in March 2026, adds a new endpoint:

  • Courier pickup availability
    • New endpoint to resolve courier pickup availability before booking.
    • This endpoint is for courier pickups only and does not apply to pallet dispatches.

List Of All Fields Added Or Modified In 2.6.3

The following is only a list of all fields added or modified in version 2.6.3. Please read the fields' descriptions in the endpoints' documentation for more information.

  • POST /shipment/schedule/validate - new endpoint

What's New In Version 2.6.2

Version 2.6.2, released in November 2025, adds the following new field.

  • FDA regulated
    • Required for package and courier pak shipments from Canada to the US. At time of writing, other shipments are not affected by this field.
    • If required, please add the field fda_regulated to all customs products. If a product is regulated by the U.S. Food and Drug Administration (FDA), specify fda_regulated "yes". Otherwise, specify "no". Please note that the allowed values are strings, not true/false.
    • By correctly identifying FDA-regulated products, the system can automatically prevent rates or bookings for carriers that do not accept such items, helping you avoid delays, rejections, or additional compliance issues at the border.

List Of All Fields Added Or Modified In 2.6.2

The following is only a list of all fields added or modified in version 2.6.2. Please read the fields' descriptions in the endpoints' documentation for more information.

  • POST /rate
    • Request Body
      • details
        • customs_data
          • products
            • fda_regulated - new field
            • completed_kitchen_cabinets_or_vanities - new field
  • POST /shipment
    • Request Body
      • details
        • customs_data
          • products
            • fda_regulated - new field
            • completed_kitchen_cabinets_or_vanities - new field
      • customs_invoice
        • details
          • products
            • fda_regulated - new field
            • completed_kitchen_cabinets_or_vanities - new field
  • GET /shipment/{shipment_id}
    • 200 Response
      • shipment
        • details
          • customs_data
            • products
              • fda_regulated - new field
              • completed_kitchen_cabinets_or_vanities - new field

What's New In Version 2.6.1

Version 2.6.1, released in November 2025, includes the following changes:

  • Email addresses now required for all international shipments
    • The origin and destination of every international shipment now each require at least one email address.
    • This change was motivated by a recent change in UPS's requirements for international shipments.

This version also includes the following changes that apply only to package and courier pak shipments from Canada to the US. All other shipments will be unaffected by these changes.

  • Steel, aluminum, and copper allocations
    • You can now specify the steel, aluminum, and copper allocations for each of your customs products.
    • Providing steel, aluminum, and copper allocations can reduce your customs charges.
    • Omitting this information may result in higher customs charges than necessary.
  • Guaranteed customs charges
    • For an additional fee, you can receive a guarantee that you will not receive any additional charges on the clearance of the shipment - provided the product information, description and HTS codes are correct.
    • To request guaranteed customs charges, specify request_guaranteed_customs_charges true in the customs_data object when requesting a rate or booking a shipment. If the rate you receive has customs_charge_data.is_rate_guaranteed true, then its customs charges are guaranteed.
  • Non-auto parts
    • You can now certify that your customs products do not contain auto parts. This may reduce tariffs if the product's HTS Code implies it may contain auto parts.
  • Rate fields removed/renamed
    • Some of the customs_charge_data fields were removed or renamed. Please update your code accordingly. See below for details.

List Of All Fields Added Or Modified In 2.6.1

The following is only a list of all fields added or modified in version 2.6.1. Please read the fields' descriptions in the endpoints' documentation for more information.

  • POST /rate
    • Request Body
      • details
        • origin
          • email_addresses - description and validation updated
        • destination
          • email_addresses - description and validation updated
        • customs_data
          • products
            • non_auto_parts - new field
            • product_composition_allocation - new field
            • product_composition_allocation_zero - new field
          • request_guaranteed_customs_charges - new field
  • GET /rate/{rate_id}
    • 200 Response
      • rates
        • customs_charge_data
          • brokerage_surcharge_keys - removed
          • government_fees_surcharge_keys - removed
          • guarantee_fee_surcharge_keys - new field
          • carrier_and_government_fees_surcharge_keys - new field
          • is_rate_guaranteed - new field
  • POST /shipment
    • Request Body
      • details
        • origin
          • email_addresses - description and validation updated
        • destination
          • email_addresses - description and validation updated
        • customs_data
          • products
            • non_auto_parts - new field
            • product_composition_allocation - new field
            • product_composition_allocation_zero - new field
          • request_guaranteed_customs_charges - new field
      • customs_invoice
        • details
          • products
            • non_auto_parts - new field
            • product_composition_allocation - new field
            • product_composition_allocation_zero - new field
  • GET /shipment/{shipment_id}
    • 200 Response
      • shipment
        • details
          • customs_data
            • products
              • non_auto_parts - new field
              • product_composition_allocation - new field
              • product_composition_allocation_zero - new field
            • request_guaranteed_customs_charges - new field
        • rate
          • customs_charge_data
            • brokerage_surcharge_keys - removed
            • government_fees_surcharge_keys - removed
            • guarantee_fee_surcharge_keys - new field
            • carrier_and_government_fees_surcharge_keys - new field
            • is_rate_guaranteed - new field

What's New In Version 2.6.0

Version 2.6.0, released in September 2025, introduces the following features. For a complete list of modified endpoints and fields, see the section below.

  • Export charges included in rates
    • Include customs_data when requesting a rate or booking a shipment.
    • Surcharge types that correspond to export charges will be listed in the customs_charge_data field.
    • Applies only to package and courier pak shipments from Canada to the US.
    • Documentation may refer to 'export charges' or 'customs charges' interchangeably.
  • DDP vs DDU shipments
    • To book a DDP shipment, include customs_data and select tax recipient type 'shipper'.
      • If your primary payment method is Net Terms, you must pay for export charges with a credit card, specified by the customs_and_duties_payment_method_id.
    • To book a DDU shipment, omit customs_data and select tax recipient type 'receiver'.
    • These changes only affect package and courier pak shipments from Canada to the US.
  • Uploading CUSMA and other documents
    • When booking a shipment, you can upload customs documents via the paperless_customs_documents field.
      • Supported carriers: FedEx Courier and UPS.
      • Size limit: approximately 4.5 MB for all files, before Base64 encoding.
    • If you specified cusma_included true for any of your customs products, you must upload a CUSMA document with type 'cusma-form'.
      • Only applies to carriers that support uploading customs documents.

There is also a new restriction:

  • Must use carrier as broker below $800 USD
    • Package and courier pak shipments from Canada to the US must use carrier as broker if their customs products are valued at $800 USD or less.

List Of All Fields Added Or Modified In 2.6.0

The following is only a list of all fields added or modified in version 2.6.0. Please read the fields' descriptions in the endpoints' documentation for more information.

  • POST /rate
    • Request Body
      • details
        • customs_data - new field
  • GET /rate/{rate_id}
    • 200 Response
      • rates
        • paperless - new field
        • customs_charge_data - new field
  • POST /shipment
    • Request Body
      • customs_and_duties_payment_method_id - new field
      • details
        • customs_data - new field
      • customs_invoice
        • broker
          • use_carrier - description updated
        • details
          • tax_recipient
            • type - description updated
          • products
            • hs_code - description updated
            • cusma_included - new field
      • paperless_customs_documents - new field
  • GET /shipment/{shipment_id}
    • 200 Response
      • shipment
        • details
          • customs_data - new field
        • rate
          • paperless - new field
          • customs_charge_data - new field
        • paperless_customs_documents - new field
Servers
live
https://external-api.freightcom.com